Docs
Referência

Detalhes do deploy

GET
/v1/workspaces/{workspaceId}/apps/{appId}/deployments/{deploymentId}

Authorization

hydro_session<token>

In: cookie

Path Parameters

appId*string
deploymentId*string

Response Body

application/json

curl -X GET "https://example.com/v1/workspaces/{workspaceId}/apps/string/deployments/string"
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "appId": "28c365d5-df94-4a54-8217-3ce51d068868",  "number": -9007199254740991,  "source": "upload",  "status": "queued",  "image": [    "string"  ],  "imageDigest": [    "string"  ],  "rollbackOf": "65f4f6e9-31b7-43b4-9674-5c6963c953c2",  "commit": {    "sha": "string",    "message": "string",    "author": "string",    "branch": "string",    "url": "string"  },  "failureReason": [    "string"  ],  "imageAvailable": true,  "triggeredBy": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "name": "string"  },  "createdAt": "2019-08-24T14:15:22Z",  "startedAt": "2019-08-24T14:15:22Z",  "finishedAt": "2019-08-24T14:15:22Z"}